Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.parser.v2
Interface NSResolver

All Known Implementing Classes:
  XMLDocument, XMLDocumentFragment, XMLElement

      public interface NSResolver

This interface provides support for resolving Namespaces

Method Summary
`java.lang.String` `resolveNamespacePrefix(java.lang.String prefix)` Find the namespace definition in scope for a given namespace prefix

Method Detail

### resolveNamespacePrefix

    java.lang.String resolveNamespacePrefix(java.lang.String prefix)

  Find the namespace definition in scope for a given namespace prefix
  Parameters:
    `prefix` - Namespace prefix to be resolved
  Returns:
    the resolved Namespace (null, if prefix could not be resolved)

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.